Summary: 	The SP6 IPMI device Driver library
Name: 		msi_ipmi
Version: 	2.6
Release:	13
License: 	MSI
Group: 		MSI
Source: 	msi_ipmi.tgz
Packager: 	SPD sw1
Vendor: 	MSI
%undefine __check_files

buildarch:	noarch

%description
This is SP6 IPMI Device Driver library defines an API that management
applications must use to send in-band IPMI commands to IPMI 1.5 compliant
hardware.

%prep
%setup -q -n msi_ipmi

%install
mkdir -p /opt/sp6

if [ -d /lib ] ; then
    install -m 755 $RPM_BUILD_DIR/%{name}/libmsisp6.so.32 /opt/sp6/libmsisp6.so.32
fi

if [ -d /lib64 ] ; then
    install -m 755 $RPM_BUILD_DIR/%{name}/libmsisp6.so.64 /opt/sp6/libmsisp6.so.64
fi


install -m 755 $RPM_BUILD_DIR/%{name}/loaddrv.sh /opt/sp6/loaddrv
install -m 755 $RPM_BUILD_DIR/%{name}/msi_ipmi.o /opt/sp6/msi_ipmi.o

install -m 755 $RPM_BUILD_DIR/%{name}/binsetup /opt/sp6/binsetup
install -m 644 $RPM_BUILD_DIR/%{name}/sp6api.h /opt/sp6/sp6api.h

#install watchdogd daemon
install -m 755 $RPM_BUILD_DIR/%{name}/watchdogd /opt/sp6/watchdogd
install -m 755 $RPM_BUILD_DIR/%{name}/watchdog.cfg /etc

#install thermald daemon
install -m 755 $RPM_BUILD_DIR/%{name}/thermald	/opt/sp6/thermald

%post
if [ -d /lib ] ; then
    install -m 755 /opt/sp6/libmsisp6.so.32 /usr/lib/
fi

if [ -d /lib64 ] ; then
    install -m 755 /opt/sp6/libmsisp6.so.64 /usr/lib64/
fi

if [ -d /lib ] ; then
    cd /usr/lib
    touch /usr/lib/libmsisp6.so.32
    ln -sf libmsisp6.so.32 libmsisp6.so
fi

if [ -d /lib64 ] ; then
    cd /usr/lib64
    touch /usr/lib64/libmsisp6.so.64
    ln -sf libmsisp6.so.64 libmsisp6.so
fi

/opt/sp6/binsetup
rm -rf $RPM_BUILD_DIR/%{name}

%postun
if [ -f /etc/init.d/boot.local ]
then
    if grep -q ^/\etc\/init.d\/loaddrv /etc/init.d/boot.local
    then
    	sed '/^\/etc\/init.d\/loaddrv/d' /etc/init.d/boot.local > /etc/init.d/boot.local.tmp
        mv -f /etc/init.d/boot.local.tmp /etc/init.d/boot.local
        chmod +x /etc/init.d/boot.local
    fi
fi

if [ -f /etc/rc.modules ]; then
	if grep -q ^/\etc\/init.d\/loaddrv /etc/rc.modules
	then
		sed '/^\/etc\/init.d\/loaddrv/d' /etc/rc.modules > /etc/rc.modules.tmp
		mv -f /etc/rc.modules.tmp /etc/rc.modules
		chmod a+x /etc/rc.modules
	fi
fi

if [ -d /lib ] ; then
    rm -rf /usr/lib/libmsisp6.so.32
    rm -rf /usr/lib/libmsisp6.so
fi
if [ -d /lib64 ] ; then
    rm -rf /usr/lib64/libmsisp6.so.64
    rm -rf /usr/lib64/libmsisp6.so
fi

#rm -f /lib/libmsisp6.so.1
rm -rf /usr/include/sp6
rm -rf /lib/modules/`uname -r`/kernel/drivers/char/imb
rm -f /dev/imb
rm -f /etc/init.d/loaddrv
rm -f /etc/watchdog.cfg


#search watchdog process id and remove watchdog and thermal daemon
daemon_w=`ps -aux | awk '/\/opt\/sp6\/watchdog/{print $2}'`
kill -9 $daemon_w
daemon_t=`ps -aux | awk '/\/opt\/sp6\/thermal/{print $2}'`
kill -9 $daemon_t
rmmod msi_ipmi

rm -rf %{_sysconfdir}/sp6
#rm -fr /opt/sp6

%files
%ifarch %ix86
    /opt/sp6/libmsisp6.so.32
%endif
%ifarch x86_64
    /opt/sp6/libmsisp6.so.32
    /opt/sp6/libmsisp6.so.64
%endif

/opt/sp6/loaddrv
/opt/sp6/msi_ipmi.o
/opt/sp6/binsetup
/opt/sp6/sp6api.h
/opt/sp6/watchdogd
/etc/watchdog.cfg
/opt/sp6/thermald

%clean
rm -rf $RPM_BUILD_DIR/%{name}
